---
schema_version: "1"
id: 7aed2ffe5d582ea66c3b0a3e0aaf0e62d455406beae089ac57dc9564207dcc5e
title: List View Describe
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-listviewdescribe.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-listviewdescribe.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: c7331bb2fd0b1e9023d6d6953b6367c7327d5db3e980d1babff62ead77032820
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# List View Describe

Returns detailed information about a list view, including the ID, the columns, and the SOQL query.

This resource is available in REST API version 32.0 and later.

**URI:** `/services/data/vXX.X/sobjects/sObject/listviews/queryLocator/describe`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:** None

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/listviews/00BD0000005WcBeMAK/describe -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang
{
  "columns" : [ {
    "ascendingLabel" : "Z-A",
    "descendingLabel" : "A-Z",
    "fieldNameOrPath" : "Name",
    "hidden" : false,
    "label" : "Account Name",
    "selectListItem" : "Name",
    "sortDirection" : "ascending",
    "sortIndex" : 0,
    "sortable" : true,
    "type" : "string"
  }, {
    "ascendingLabel" : "Z-A",
    "descendingLabel" : "A-Z",
    "fieldNameOrPath" : "Site",
    "hidden" : false,
    "label" : "Account Site",
    "selectListItem" : "Site",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : true,
    "type" : "string"
  }, {
    "ascendingLabel" : "Z-A",
    "descendingLabel" : "A-Z",
    "fieldNameOrPath" : "BillingState",
    "hidden" : false,
    "label" : "Billing State/Province",
    "selectListItem" : "BillingState",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : true,
    "type" : "string"
  }, {
    "ascendingLabel" : "9-0",
    "descendingLabel" : "0-9",
    "fieldNameOrPath" : "Phone",
    "hidden" : false,
    "label" : "Phone",
    "selectListItem" : "Phone",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : true,
    "type" : "phone"
  }, {
    "ascendingLabel" : "Low to High",
    "descendingLabel" : "High to Low",
    "fieldNameOrPath" : "Type",
    "hidden" : false,
    "label" : "Type",
    "selectListItem" : "toLabel(Type)",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : true,
    "type" : "picklist"
  }, {
    "ascendingLabel" : "Z-A",
    "descendingLabel" : "A-Z",
    "fieldNameOrPath" : "Owner.Alias",
    "hidden" : false,
    "label" : "Account Owner Alias",
    "selectListItem" : "Owner.Alias",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : true,
    "type" : "string"
  }, {
    "ascendingLabel" : null,
    "descendingLabel" : null,
    "fieldNameOrPath" : "Id",
    "hidden" : true,
    "label" : "Account ID",
    "selectListItem" : "Id",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : false,
    "type" : "id"
  }, {
    "ascendingLabel" : null,
    "descendingLabel" : null,
    "fieldNameOrPath" : "CreatedDate",
    "hidden" : true,
    "label" : "Created Date",
    "selectListItem" : "CreatedDate",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : false,
    "type" : "datetime"
  }, {
    "ascendingLabel" : null,
    "descendingLabel" : null,
    "fieldNameOrPath" : "LastModifiedDate",
    "hidden" : true,
    "label" : "Last Modified Date",
    "selectListItem" : "LastModifiedDate",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : false,
    "type" : "datetime"
  }, {
    "ascendingLabel" : null,
    "descendingLabel" : null,
    "fieldNameOrPath" : "SystemModstamp",
    "hidden" : true,
    "label" : "System Modstamp",
    "selectListItem" : "SystemModstamp",
    "sortDirection" : null,
    "sortIndex" : null,
    "sortable" : false,
    "type" : "datetime"
  } ],
  "id" : "00BD0000005WcBe",
  "orderBy" : [ {
    "fieldNameOrPath" : "Name",
    "nullsPosition" : "first",
    "sortDirection" : "ascending"
  }, {
    "fieldNameOrPath" : "Id",
    "nullsPosition" : "first",
    "sortDirection" : "ascending"
  } ],
  "query" : "SELECT name, site, billingstate, phone, tolabel(type), owner.alias, id, createddate, lastmodifieddate, systemmodstamp FROM Account WHERE CreatedDate = THIS_WEEK ORDER BY Name ASC NULLS FIRST, Id ASC NULLS FIRST",
  "scope" : null,
  "sobjectType" : "Account",
  "whereCondition" : {
    "field" : "CreatedDate",
    "operator" : "equals",
    "values" : [ "THIS_WEEK" ]
  }
}

```

